Bug 534746 - (RHQ-1512) Disable 'Schedule' button on UI when calendar widget is active.
Disable 'Schedule' button on UI when calendar widget is active.
Product: RHQ Project
Classification: Other
Component: Usability (Show other bugs)
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
: FutureFeature, Improvement, Reopened
Depends On:
  Show dependency treegraph
Reported: 2009-02-09 14:56 EST by Corey Welton
Modified: 2010-10-21 03:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-10-21 03:42:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2009-02-09 14:56:00 EST
It's too easy to accidentally click the "Submit" button when scheduling something with the calendar widget, such as an operation, and think that it's the correct action to take.  When nothing is actually selected/confirmed in the calendar widget, a blank value gets submitted as the schedule date.

A few options exist for consideration:
* Disable the button altogether when the calendar is open;
* Improve the appearance of the "Apply" button on the calendar as to be more intuitive that user should submit a date/time there;
* Overload the Schedule button to automatically apply any values that have been selected (but thus far not yet applied) in an open calendar.

It's entirely possible that much of this confusion can/will be mitigated when RHQ-1506 and RHQ-1507 have been fully taken into consideration.  Thus, we'll put this in the usability queue for future examination.
Comment 1 Red Hat Bugzilla 2009-11-10 15:34:42 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1512
Comment 2 wes hayutin 2010-02-16 12:10:27 EST
mass add of key word FutureFeature to help track
Comment 3 Corey Welton 2010-08-20 11:01:20 EDT
Closing per 19-Aug-2010 triage
Comment 4 Corey Welton 2010-08-20 11:43:20 EDT
QA: Check to see if the flow for this process is adequate/suitable and close out if so.  Otherwise, reopen
Comment 5 Rajan Timaniya 2010-10-21 03:42:23 EDT
Verified on RHQ-Master build #438

GWT-Operation has *new* 'Operation Wizard' to schedule operation. We will test that as a separate new-gwt functionality.

Note You need to log in before you can comment on or make changes to this bug.